function [mappedHeader] = mapVideoStream(fileName)

mappedHeader = memmapfile(fileName, 'Format', {
    'uint32' 128/4 'lockPad'; ...
    'uint64' 1 'timestamp'; ...
    'uint64' 1 'sequence'; ...
    'uint32' 1 'width'; ...
    'uint32' 1 'height'; ...
    'uint32' 1 'channels'; ...
    'uint8'  [1 4] 'fourCC'; ...
    'uint32' 1 'pixelFormat'; ...
    'uint32' 84/4 'pad'; ...
    'double' 1 'rotation';
    }, 'Repeat', 1, 'Writable', true);

end

